Package org.opensaml.xacml.ctx.provider.impl

# Class ObligationProcessingContext

java.lang.Object
org.opensaml.xacml.ctx.provider.impl.ObligationProcessingContext

public class ObligationProcessingContext extends Object
A context for processing obligations.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ResultType`
`result`
Result of a XACML authorization request.

## Constructor Summary

Constructors
Constructor
Description
`ObligationProcessingContext(ResultType authzResult)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ResultType`
`getAuthorizationDecisionResult()`
Gets the result of a XACML authorization request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### result

@Nonnull private ResultType result
Result of a XACML authorization request.

## Constructor Details

### ObligationProcessingContext

public ObligationProcessingContext(@Nonnull ResultType authzResult)
Constructor.

Parameters:
  `authzResult` - result of a XACML authorization request

## Method Details

### getAuthorizationDecisionResult

@Nonnull public ResultType getAuthorizationDecisionResult()
Gets the result of a XACML authorization request.

Returns:
  result of a XACML authorization request